- Qt 5.15
- Qt 3D
- C++ Classes
- QTorusMesh
- Qt 5.15.19 Reference Documentation

# QTorusMesh Class

class Qt3DExtras::QTorusMesh

A toroidal mesh. More...

Header: | #include <Qt3DExtras/QTorusMesh>
qmake: | QT += 3dextras
Instantiated By: | TorusMesh
Inherits: | Qt3DRender::QGeometryRenderer

- List of all members, including inherited members

## Properties

- minorRadius : float
- radius : float
- rings : int
- slices : int

## Public Functions

float | minorRadius() const
float | radius() const
int | rings() const
int | slices() const

## Public Slots

void | setMinorRadius(float minorRadius)
void | setRadius(float radius)
void | setRings(int rings)
void | setSlices(int slices)

## Signals

void | minorRadiusChanged(float minorRadius)
void | radiusChanged(float radius)
void | ringsChanged(int rings)
void | slicesChanged(int slices)

## Detailed Description

## Property Documentation

### minorRadius : float

Holds the inner radius of the torus.

Access functions:

float | minorRadius() const
void | setMinorRadius(float minorRadius)

Notifier signal:

void | minorRadiusChanged(float minorRadius)

### radius : float

Holds the outer radius of the torus.

Access functions:

float | radius() const
void | setRadius(float radius)

Notifier signal:

void | radiusChanged(float radius)

### rings : int

Holds the number of rings in the mesh.

Access functions:

int | rings() const
void | setRings(int rings)

Notifier signal:

void | ringsChanged(int rings)

### slices : int

Holds the number of slices in the mesh.

Access functions:

int | slices() const
void | setSlices(int slices)

Notifier signal:

void | slicesChanged(int slices)